Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Class ASTCastLookahead

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.ASTCastLookahead

All Implemented Interfaces:
  JavaNode, Node

public class ASTCastLookahead
extends SimpleJavaNode

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Constructor Summary
`ASTCastLookahead(int id)`
`ASTCastLookahead(JavaParser p, int id)`

Method Summary
`java.lang.Object` | `jjtAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, discardIfNecessary, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTCastLookahead

    public ASTCastLookahead(int id)

### ASTCastLookahead

    public ASTCastLookahead(JavaParser p,
                            int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(JavaParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `JavaNode`
  Overrides:
    `jjtAccept` in class `SimpleJavaNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.